[gccsdk] Nettle autobuilder patch

Ron beeb at woosh.co.nz
Thu Jul 5 01:43:10 PDT 2012


In message <20120703092216.GB310 at chiark.greenend.org.uk>
          Theo Markettos <theo at markettos.org.uk> wrote:

> On Tue, Jul 03, 2012 at 06:29:38PM +1200, Ron wrote:
> > I have just tryed building the Nettle package a second time, to see
> > if it would put its packages in the correct place, but I get updates
> > then patch errors.
> > I will try to attach the failure to this post
> 
> Hi Ron,
> 
> Are you running this on a nettle build tree that the autobuilder already
> downloaded (ie used ./build -d where it retains the tree afterwards)?  It's
> very important that you delete the tree - autobuilder/nettle - beforehand,
> because otherwise patching will fail (the tree has already been patched).

OK, I just removed all the existing Nettle directories, and did svn update.
Nettle built and installed its packages in the right place, alongside the
Socketwatch packages.

There is one inconsistancy, Now that you are linking zlib, you need to
have zlib1g in the Nettle depends file.

I have found some problems when the autobuilder builds wget.

Bzip2 builds absolute binaries and fails to stat when copying.
Tar1.26 builds e1f binaries but fails with
cannot stat '/home/ron/gccsdk/autobuilder/tar/tar-1.26/src/*,ff8'

I am sort of confused, I thought everything was to be built as e1f
now.
Is it just that EXT_EXE is mistakenly being set to ff8 somewhere?

I built libcurl3 successfully but it accessed the unfinished bzip2
directory source files to do it.
It did look for Bzip2 several times.

Ron M.    




More information about the gcc mailing list